http://foreman/unattended/provision should match

http://foreman/unattended/provision?spoof=xxx.xxx.xxx.xxx

03/08/2012 12:49 PM - Trey 85Stang
Pull request:    

Description

I just spend the last day and half trying to figure out what was wrong with a kick start file for provisioning.  In the end the spoof url

gave me a working kickstart file,  the http://foreman/unattended/provision url   gave me the output: "Failed to clean any old certificates

or add the autosign entry.

Terminating the build!"

I think it would be better if the two matched,  spoof should show the same error.

Also,  if possible if any of the smart proxies tasks fail when selecting building a host...  That task should fail,  but I would settle for the

the above two message to match.

Related issues:

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Related to Foreman - Feature #1375: Add a test capabilities for smart-proxy t... New 12/07/2011

History

#1 - 03/27/2012 04:48 PM - Roger K

I am experiencing this issue on latest "develop".

Accessing http://manage.example.com:3000/unattended/provision/?spoof=IP_ADDR results in the correct output.

attempting to boot with "ks=http://manage.example.com:3000/unattended/provision/" results in a failure.

using `tcpdump`, the following was captured:

..r....)Failed to clean any old certificates or add the autosign entry. Terminating the build!

SELinux is in permissive mode and I have set my file permissions extremely lax to debug.

drwxr-xr-x. 5 root root 4096 Mar 24 14:13 /etc/puppet/

-rwxrwxrwx. 1 foreman-proxy foreman 21 Mar 27 09:28 /etc/puppet/autosign.conf

Here is the smart-proxy object in Foreman:

manage.example.com     http://manage.example.com:8443     TFTP, DHCP, Puppet CA, and Puppet

there is an entry for "test1.example.com" both via Foreman and via /etc/puppet/autosign.conf.

#2 - 03/27/2012 06:20 PM - Roger K

Attempted with latest git version of smart-proxy. No change.

#3 - 03/29/2012 01:28 PM - Ohad Levy

I'm not sure if what can we do about this one, the main issue, is that there are some operations (such as cert signing) that should happen only when

the host is actually getting the KS.

maybe one option would be to have a test function that checks permissions on the proxy or something like that, not 100% sure if we can cover all

cases, but it might be a start.
#4 - 03/29/2012 02:11 PM - Roger K

Yes, a good start would just be to increase the visibility into this problem. I was watching syslog, audit.log, production.log (Foreman) and the

foreman-proxy log and saw no indications that there was a problem. my current workaround just comments out the "render" on line 142 in

app/controllers/unattended_controller.rb and manage autosigning by hand.

render(:text => "Failed to clean any old certificates or add the autosign entry. Terminating the build!") unless @host.handle_ca

#5 - 04/02/2012 11:31 AM - Trey 85Stang

I think more visibility on the booting host could be managed by changing the message to perhaps a recuse boot?  If your host keeps booting into

rescue mode then some part of the provisioning task failed.  I'm not a whiz with kickstart but perhaps a custom message can be inserted into the

rescue boot somewhere.

#6 - 11/13/2012 12:05 PM - Greg Sutcliffe

- Target version set to Bug scrub

#7 - 11/13/2012 12:05 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#8 - 03/15/2016 06:02 AM - Ohad Levy

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#9 - 03/15/2016 06:03 AM - Ohad Levy

- Description updated

- Category set to Unattended installations

#10 - 03/15/2016 06:03 AM - Ohad Levy

- Related to Feature #1375: Add a test capabilities for smart-proxy to better report proxy configurations errors added
